class Bottleneck_Baseline(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  downsample : NoneType
  stride : int
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_1.Conv2d
  bn2 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  conv3 : __torch__.torch.nn.modules.conv.___torch_mangle_2.Conv2d
  bn3 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_3.BatchNorm2d
  relu : __torch__.torch.nn.modules.activation.ReLU
  def forward(self: __torch__.___torch_mangle_5.Bottleneck_Baseline,
    x: Tensor) -> Tensor:
    conv1 = self.conv1
    out = (conv1).forward(x, )
    bn1 = self.bn1
    out0 = (bn1).forward(out, )
    relu = self.relu
    out1 = (relu).forward(out0, )
    conv2 = self.conv2
    out2 = (conv2).forward(out1, )
    bn2 = self.bn2
    out3 = (bn2).forward(out2, )
    relu0 = self.relu
    out4 = (relu0).forward(out3, )
    conv3 = self.conv3
    out5 = (conv3).forward(out4, )
    bn3 = self.bn3
    out6 = (bn3).forward(out5, )
    out7 = torch.add_(out6, x)
    relu1 = self.relu
    return (relu1).forward(out7, )
